Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_OBV_GIOP_Flags Class Reference

`#include <ValueBase.h>`

List of all members.

## Static Public Methods
CORBA::Boolean | is_null_ref (CORBA::ULong)
CORBA::Boolean | is_value_tag (CORBA::ULong)
CORBA::Boolean | has_codebase_url (CORBA::ULong)
CORBA::Boolean | has_no_type_info (CORBA::ULong)
CORBA::Boolean | has_single_type_info (CORBA::ULong)
CORBA::Boolean | has_list_type_info (CORBA::ULong)
CORBA::Boolean | is_chunked (CORBA::ULong)
CORBA::Boolean | is_indirection_tag (CORBA::ULong)
CORBA::Boolean | is_indirection (CORBA::ULong)
CORBA::Boolean | is_block_size (CORBA::ULong)
CORBA::Boolean | is_end_tag (CORBA::ULong)
## Static Public Attributes
const CORBA::ULong | Value_tag_base = 0x7fffff00L
const CORBA::ULong | Value_tag_sigbits = 0xffffff00L
const CORBA::ULong | Codebase_url = 1
const CORBA::ULong | Type_info_sigbits = 0x00000006L
const CORBA::ULong | Type_info_none = 0
const CORBA::ULong | Type_info_single = 2
const CORBA::ULong | Type_info_list = 6

## Detailed Description

CORBA 2.3: 15.3.4

## Member Function Documentation

ACE_INLINE CORBA::Boolean TAO_OBV_GIOP_Flags::has_codebase_url ( | CORBA::ULong tag )`[static]`

ACE_INLINE CORBA::Boolean TAO_OBV_GIOP_Flags::has_list_type_info ( | CORBA::ULong tag )`[static]`

ACE_INLINE CORBA::Boolean TAO_OBV_GIOP_Flags::has_no_type_info ( | CORBA::ULong tag )`[static]`

ACE_INLINE CORBA::Boolean TAO_OBV_GIOP_Flags::has_single_type_info ( | CORBA::ULong tag )`[static]`

ACE_INLINE CORBA::Boolean TAO_OBV_GIOP_Flags::is_block_size ( | CORBA::ULong value )`[static]`

ACE_INLINE CORBA::Boolean TAO_OBV_GIOP_Flags::is_chunked ( | CORBA::ULong tag )`[static]`

ACE_INLINE CORBA::Boolean TAO_OBV_GIOP_Flags::is_end_tag ( | CORBA::ULong tag )`[static]`

ACE_INLINE CORBA::Boolean TAO_OBV_GIOP_Flags::is_indirection ( | CORBA::ULong value )`[static]`

ACE_INLINE CORBA::Boolean TAO_OBV_GIOP_Flags::is_indirection_tag ( | CORBA::ULong tag )`[static]`

ACE_INLINE CORBA::Boolean TAO_OBV_GIOP_Flags::is_null_ref ( | CORBA::ULong tag )`[static]`

ACE_INLINE CORBA::Boolean TAO_OBV_GIOP_Flags::is_value_tag ( | CORBA::ULong tag )`[static]`

## Member Data Documentation

const CORBA::ULong TAO_OBV_GIOP_Flags::Codebase_url = 1`[static]`

const CORBA::ULong TAO_OBV_GIOP_Flags::Type_info_list = 6`[static]`

const CORBA::ULong TAO_OBV_GIOP_Flags::Type_info_none = 0`[static]`

const CORBA::ULong TAO_OBV_GIOP_Flags::Type_info_sigbits = 0x00000006L`[static]`

const CORBA::ULong TAO_OBV_GIOP_Flags::Type_info_single = 2`[static]`

const CORBA::ULong TAO_OBV_GIOP_Flags::Value_tag_base = 0x7fffff00L`[static]`

const CORBA::ULong TAO_OBV_GIOP_Flags::Value_tag_sigbits = 0xffffff00L`[static]`

The documentation for this class was generated from the following files:

- ValueBase.h
- ValueBase.cpp
- ValueBase.i